diff --git a/manila/post_test_hook.sh b/manila/post_test_hook.sh
index 1bfa76b..9bf3a06 100755
--- a/manila/post_test_hook.sh
+++ b/manila/post_test_hook.sh
@@ -124,3 +124,18 @@ iniset $TEMPEST_CONFIG validation network_for_ssh ${PRIVATE_NETWORK_NAME:-"priva
 
 echo "Running tempest manila test suites"
 sudo -H -u jenkins tox -eall-plugin $MANILA_TESTS -- --concurrency=$MANILA_TEMPEST_CONCURRENCY
+
+_retval=$?
+
+# This is a hack to work around EPERM issue upon
+# uploading log files: we ensure that the logs
+# shall land in a VFAT mount, whereby POSIX file
+# permissions are not implemented (everything is
+# world readable).
+install_package dosfstools
+truncate -s 3g /tmp/fat.img
+mkdosfs /tmp/fat.img
+sudo mkdir "$WORKSPACE/logs/glusterfs"
+sudo mount /tmp/fat.img "$WORKSPACE/logs/glusterfs"
+
+(exit $_retval)